import { Routes } from '@angular/router';
import {AgentListComponent} from "./agent-list/agent-list.component";
import {AgentMerAccountComponent} from "./agent-mer-account/agent-mer-account.component";
import {AgentMerListComponent} from "./agent-mer-list/agent-mer-list.component";
import {AgentStaffComponent} from "./agent-staff/agent-staff.component";
import {AgentPriceListComponent} from "./agent-price-list/agent-price-list.component";
import {AgentReferPriceListComponent} from "./agent-refer-price-list/agent-refer-price-list.component";
import {AgentApiAccountComponent} from "./agent-api-account/agent-api-account.component";

export const AGENT_ROUTES: Routes = [
  { path: 'agent-list', component: AgentListComponent },
  { path: 'agent-mer-list', component: AgentMerListComponent },
  { path: 'agent-mer-account', component: AgentMerAccountComponent },
  { path: 'agent-staff', component: AgentStaffComponent },
  { path: 'agent-price-list', component: AgentPriceListComponent },
  { path: 'agent-refer-price-list', component: AgentReferPriceListComponent },
  { path: 'agent-api-account', component: AgentApiAccountComponent },
];
