import { Routes } from '@angular/router';
import {MerAddComponent} from "./mer-add/mer-add.component";
import {MerListComponent} from "./mer-list/mer-list.component";
import {MerChainBrandListComponent} from "./mer-chain-brand-list/mer-chain-brand-list.component";
import {MerchantAmountListComponent} from "./merchant-amount-list/merchant-amount-list.component";
import {MerChainBrandAmountComponent} from "./mer-chain-brand-amount/mer-chain-brand-amount.component";
import {DeviceListComponent} from "../device/device-list/device-list.component";
import {OilTaskComponent} from "../mer-oil-price/oil-task/oil-task.component";
import {OilDiscountComponent} from "../mer-oil-price/oil-discount/oil-discount.component";
import {DevicePrintComponent} from "../device/device-print/device-print.component";
import {OilConfigComponent} from "./oil-config/oil-config.component";
import {QrCodeListComponent} from "./qr-code-list/qr-code-list.component";
import {MerClassGroupTaskComponent} from "../mer-class-group/mer-class-group-task/mer-class-group-task.component";
import {MerClassGroupListComponent} from "../mer-class-group/mer-class-group-list/mer-class-group-list.component";
import {MerStaffListComponent} from "./mer-staff-list/mer-staff-list.component";
import {MerchantAmountComponent} from "./merchant-amount/merchant-amount.component";
import {OilChannelWeekComponent} from "../mer-oil-price/oil-channel-week/oil-channel-week.component";

export const MERCHANT_ROUTES: Routes = [
  { path: 'mer-list', component: MerListComponent },
  { path: 'mer-edit', component: MerAddComponent },
  { path: 'mer-chain-brand-list', component: MerChainBrandListComponent },
  { path: 'mer-chain-brand-account', component: MerChainBrandAmountComponent },
  { path: 'mer-account', component: MerchantAmountComponent },
  { path: 'mer-account-list', component: MerchantAmountListComponent },
  { path: 'device-list', component: DeviceListComponent },
  { path: 'device-print', component: DevicePrintComponent },
  { path: 'oil-task-list', component: OilTaskComponent },
  { path: 'oil-discount-list', component: OilChannelWeekComponent },
  { path: 'oil-config', component: OilConfigComponent },
  { path: 'qr-code-list', component: QrCodeListComponent },
  { path: 'class-group-list', component: MerClassGroupListComponent },
  { path: 'class-group-task-list', component: MerClassGroupTaskComponent },
  { path: 'staff-list', component: MerStaffListComponent },
];
