import { Routes } from '@angular/router';
import {SpreadUserListComponent} from "./spread-user-list/spread-user-list.component";
import {SpreadChannelConfigComponent} from "./spread-channel-config/spread-channel-config.component";
import {SpreadUserAccountRecordComponent} from "./spread-user-account-record/spread-user-account-record.component";
import {SpreadCommissionComponent} from "./spread-commission/spread-commission.component";
import {SpreadUserWithdrawRecordComponent} from "./spread-user-withdraw-record/spread-user-withdraw-record.component";


export const SPREAD_ROUTES: Routes = [
  { path : 'user-list', component: SpreadUserListComponent },
  { path : 'user-commission', component: SpreadCommissionComponent },
  { path : 'channel-config', component: SpreadChannelConfigComponent },
  { path : 'withdraw-list', component: SpreadUserWithdrawRecordComponent },
];
